classification
Title: Tilde compression isn't applied in TOC
Type: behavior Stage:
Components: Documentation tools (Sphinx) Versions:
process
Status: closed Resolution: duplicate
Dependencies: Superseder:
Assigned To: georg.brandl Nosy List: georg.brandl, jeffreyharris
Priority: normal Keywords:

Created on 2008-10-23 21:07 by jeffreyharris, last changed 2008-11-09 19:49 by georg.brandl. This issue is now closed.

Messages (3)
msg75150 - (view) Author: Jeffrey Harris (jeffreyharris) Date: 2008-10-23 21:07
When Sphinx builds TOC nodes, it isn't applying the tilde rule (use only
the last dotted name).  For example compare the heading for:

http://people.osafoundation.org/~jeffrey/rearch_documentation/Chandler-Platform/Core.html#the-dashboardentry-class

to the table of contents at the top of the page, or to the node's link on:

http://people.osafoundation.org/~jeffrey/rearch_documentation/Chandler-Platform/README.html
msg75502 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2008-11-04 20:43
Moved to http://www.bitbucket.org/birkenfeld/sphinx/issue/31.
msg75663 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2008-11-09 19:49
FYI: This is now fixed in tip.
History
Date User Action Args
2008-11-09 19:49:31georg.brandlsetmessages: + msg75663
2008-11-04 20:44:00georg.brandlsetstatus: open -> closed
resolution: duplicate
messages: + msg75502
2008-10-23 21:07:13jeffreyharriscreate